--- just kinda... wait? ig? sprites or smth
function onBegin()
    --log("suicide immunity")
    setFlag("hk_doing_suicide", true)
    setFlag("hk_change_to_no_head", true)
    playPuppetAnim("suicide")
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/THK_SelfStabPrepare",puppet.Center)
    wait(2.7)
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/THK_SelfStab",puppet.Center) -- audio can be improved
    playPuppetAnim("stagger")
    wait(1.4)
    setFlag("hk_doing_suicide", false)
    setFlag("hk_change_to_main", true)
end
